@echo off

set config_bat=%1
set curr_dir=%~dp0

if "%config_bat%"=="" ( rem default config.bat location is in the same dir
	set config_bat="%curr_dir%config.bat"
)

if exist %config_bat% (
	call %config_bat%
) else (
	echo [ERR] Unable to find %config_bat%
	echo       Make sure config.bat is in %curr_dir%
	echo       or supply correct config.bat location as the first argument.
	goto :eof
)

if exist "%curr_dir%get_date.bat" (
	call "%curr_dir%get_date.bat"
) else (
	echo [ERR] %date% - %time% Unable to find "%curr_dir%get_date.bat" >> %curr_dir%error.log
	echo       Make sure get_date.bat is in %curr_dir% >> %curr_dir%error.log
	goto :eof
)

echo making www backup %datetimef%

start /wait "7z" "%szip_path%" a -t7z "%backup_dir%\server_%datetimef%.7z" "%server_path%"

echo www dump created
